package com.ruoyi.system.domain.grid;

import java.io.Serializable;

public class GridCompanyLand implements Serializable {
    private String id;

    /**
     * 企业id
     *
     * @mbg.generated
     */
    private String companyId;

    /**
     * 经济地块id
     *
     * @mbg.generated
     */
    private String landId;

    /**
     * 分摊面积
     *
     * @mbg.generated
     */
    private String shareArea;

    /**
     * 土地用途
     *
     * @mbg.generated
     */
    private String landPurpose;

    /**
     * 租赁关系(承租，出租，其他)
     *
     * @mbg.generated
     */
    private String leaseRelation;

    /**
     * 1:有效 0：无效
     *
     * @mbg.generated
     */
    private String isValid;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private String createTime;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getLandId() {
        return landId;
    }

    public void setLandId(String landId) {
        this.landId = landId;
    }

    public String getShareArea() {
        return shareArea;
    }

    public void setShareArea(String shareArea) {
        this.shareArea = shareArea;
    }

    public String getLandPurpose() {
        return landPurpose;
    }

    public void setLandPurpose(String landPurpose) {
        this.landPurpose = landPurpose;
    }

    public String getLeaseRelation() {
        return leaseRelation;
    }

    public void setLeaseRelation(String leaseRelation) {
        this.leaseRelation = leaseRelation;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", companyId=").append(companyId);
        sb.append(", landId=").append(landId);
        sb.append(", shareArea=").append(shareArea);
        sb.append(", landPurpose=").append(landPurpose);
        sb.append(", leaseRelation=").append(leaseRelation);
        sb.append(", isValid=").append(isValid);
        sb.append(", createTime=").append(createTime);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        GridCompanyLand other = (GridCompanyLand) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getLandId() == null ? other.getLandId() == null : this.getLandId().equals(other.getLandId()))
            && (this.getShareArea() == null ? other.getShareArea() == null : this.getShareArea().equals(other.getShareArea()))
            && (this.getLandPurpose() == null ? other.getLandPurpose() == null : this.getLandPurpose().equals(other.getLandPurpose()))
            && (this.getLeaseRelation() == null ? other.getLeaseRelation() == null : this.getLeaseRelation().equals(other.getLeaseRelation()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getLandId() == null) ? 0 : getLandId().hashCode());
        result = prime * result + ((getShareArea() == null) ? 0 : getShareArea().hashCode());
        result = prime * result + ((getLandPurpose() == null) ? 0 : getLandPurpose().hashCode());
        result = prime * result + ((getLeaseRelation() == null) ? 0 : getLeaseRelation().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }
}